---
title: send - File Send
description: Send files to user
---

Send files to the user (images, videos, audio, documents, etc.), used when the user explicitly requests to send/share a file.

## Dependencies

No extra dependencies, available by default.

## Parameters

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `path` | string | Yes | File path, can be absolute or relative to workspace |
| `message` | string | No | Accompanying message |

## Use Cases

- Send generated code or documents to the user
- Send screenshots, charts
- Share downloaded files
